<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/styles.css' %}" />
    <!--"Monsterrat by Google"-->
    <link rel="preconnect" href="https://fonts.gstatic.com" />
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@600&display=swap" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css2?family=PT+Sans+Narrow:wght@400;700&display=swap" rel="stylesheet" />
    <link rel="icon" href="{% static 'images/money.png' %}"/>
    <title>{{ title }}</title>
  </head>
  <body>
    <header>
      <p id="site-name"><a href="{% url 'index' %}">F18 MARKETPLACE</a></p>
      <nav>
		{% comment %} Nav changes depending on the current user{% endcomment %}
		{% if user.is_authenticated %}
		<div class="user_links"><a href="{% url 'index' %}">HOME</a></div>
        <div class="user_links"><a href="{% url 'item_list' %}">ITEMS</a></div>
        <div class="user_links"><a href="{% url 'user_list' %}">USERS</a></div>
        <div class="user_links"><a href="{% url 'member_items_list' %}">MY ITEMS</a></div>
        <div class="user_links"><a href="">MESSAGES</a></div>
        <div class="user_links"><a href="{% url 'settings' %}">SETTINGS</a></div>
        <p id="username">Hello, {{ user.username }}</p>
        <div class="green_button">
          <a href="{% url 'logout' %}">LOGOUT</a>
        </div>
		{% else %}
        <p id="username2">Hello, Visitor</p>
		<div class="user_links">
          <a href="{% url 'login' %}">LOGIN</a>
        </div>
        <div class="green_button">
          <a href="{% url 'member-register' %}">GET STARTED</a>
        </div>
		{% endif %}
      </nav>
    </header>
    <section id="main_container">
      {% if messages %}
		{% for msg in messages %}
		<div class="messages-{{ msg.tags }}"> {{ msg }}</div>
		{% endfor %}
	  {% endif %}
      {% block main_content %} {% endblock main_content %}
    </section>
    <footer>
      <a href="{% url 'members_creators' %}">The masterminds behind the project</a>
    </footer>
  </body>
</html>
